> ## Documentation Index
> Fetch the complete documentation index at: https://developers.jup.ag/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Order (Ultra)

> Request a swap quote and unsigned transaction from the Ultra Swap API.

> [!WARNING]
>
> **Ultra Swap API** is no longer actively maintained and has been superseded by [Swap V2](https://developers.jup.ag/docs/swap.md).

To get an Ultra Swap order, you need to pass in the required parameters such as:

| Parameter | Description |
| :- | :- |
| `inputMint` | The input token mint address |
| `outputMint` | The output token mint address |
| `amount` | The amount of input token to swap, in native token units (before decimals) |
| `taker` | The user's wallet address (**Note:** If the `taker` is not provided, there will still be an Order Response with no `transaction` field) |
| `referralAccount` | The referral account address - refer to the [Add Fees To Ultra Swap](https://developers.jup.ag/docs/ultra/add-fees-to-ultra) guide for the step by step process |
| `referralFee` | The referral fee in basis points (bps) |

Fetch a swap order for 1 SOL to USDC:

```js Get Order theme={null}
const orderResponse = await (
  await fetch(
    'https://api.jup.ag/ultra/v1/order' +
    '?inputMint=So11111111111111111111111111111111111111112' +
    '&outputMint=EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v' +
    '&amount=100000000' +
    '&taker=jdocuPgEAjMfihABsPgKEvYtsmMzjUHeq9LX4Hvs7f3',
    {
      headers: {
        'x-api-key': 'your-api-key',
      },
    }
  )
).json();
```

## Order Response

In the order response, you will receive a number of fields that are important to note of, such as the `swapType`, `slippageBps`, etc.

> [!NOTE]
>
> Refer to [Response](https://developers.jup.ag/docs/ultra/response) section for example responses.
> Refer to [API Reference](https://developers.jup.ag/docs/api-reference/ultra) section for the full response fields.

The main fields you should need:

* `transaction`: The base64 encoded transaction that you need to sign before submitting to the network.
* `requestId`: The request ID of the order to be used in the `Execute Order` endpoint.

Now, you are able to get a swap order, next steps is to make a post request to the `Execute Order` endpoint. [Let's go](https://developers.jup.ag/docs/ultra/execute-order)!


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.